OpenZFS 2.2.2 & OpenZFS 2.1.14 Dirilis Untuk Memperbaiki Masalah Korupsi Data

Menyusul masalah korupsi data yang jarang terjadi namun parah, OpenZFS 2.2.2 dan OpenZFS 2.1.14 dirilis malam ini untuk mengatasi masalah tersebut.
Pengumuman malam ini menjelaskan bug korupsi data OpenZFS:
Catatan: Rilis ini berisi perbaikan penting untuk bug kerusakan data. Detail selengkapnya ada di masalah (#15526) dan perbaikan bug (#15571). Ada juga ringkasan bug pengembang yang memberikan gambaran bagus. Kami menyarankan semua orang meningkatkan ke 2.2.2 atau 2.1.14 untuk mendapatkan perbaikan. Bug tersebut dapat menyebabkan kerusakan data karena pemeriksaan dnode kotor yang salah. Bug ini sangat sulit untuk diatasi, dan baru terungkap karena perubahan cp di coreutils 9.x. Sangat tidak mungkin bug terjadi pada EL7, EL8, atau EL9 saat menjalankan cp karena semuanya menggunakan coreutils 8.x yang melakukan penyalinan file secara berbeda. Jadi semua pengguna OpenZFS disarankan untuk meningkatkan ke OpenZFS 2.1.14 atau OpenZFS 2.2. 2.

OpenZFS 2.2.2 juga berisi beberapa perbaikan tambahan termasuk untuk kompatibilitas Linux 6.6, perbaikan pembangunan di FreeBSD 12, dan masalah acak lainnya.

Itulah berita seputar OpenZFS 2.2.2 & OpenZFS 2.1.14 Dirilis Untuk Memperbaiki Masalah Korupsi Data, semoga bermanfaat. Disadur dari Phoronix.com.